package tvark.old;
import java.io.Serializable;


public class Subject implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5693195019326358034L;
	private String subjCode, type, priority;
	private int maxSubjHours, maxStud;
	private int nr;
	
	public int getNr() {
		return nr;
	}
 
	public void setNr(int nr) {
		this.nr = nr;
	}

	Subject(){
		subjCode ="";
		type="";
		priority="";
		maxStud  =0;
		maxSubjHours =0;
	}

	public int getMaxSubjHours() {
		return maxSubjHours;
	}
	public void setMaxSubjHours(int maxSubjHours) {
		this.maxSubjHours = maxSubjHours;
	}

	public String getSubjCode() {
		return subjCode;
	}
	public void setSubjCode(String subjCode) {
		this.subjCode = subjCode;
	}

	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	//dalyko prioriteto paėmimui
	public String getPriority() {
		return priority;
	}
//	dalykų mprioritetų saugojimui
	public void setPriority(String priority) {
		this.priority = priority;
	}
//paėmimui max studentų skaičiaus tam dalykui	
	public int getMaxStud() {
		return maxStud;
	}
//saugojimui dalyko max studentų skaičiui	
	public void setMaxStud(int maxStud) {
		this.maxStud = maxStud;
	}
}
